Create a payment record for a specific account

Canopy will simply record the payment details in the system of record without attempting to leverage the payment processing configuration to initiate the actual transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

ID of the Account

Body Params

Body of request to create payment.

string
required
^(?!can_).*$

The ID to be associated with the line item for future requests.

integer
required
Defaults to 0

The payment amount in cents.

string
enum
Defaults to VALID

The new status which you would like to set for the line item

Allowed:
date-time

The Date-Time that the payment is applicable to the account. This field should not be used for back-dating payments in VALID status, but may be used to back-date payments in other statuses (eg. PENDING). Valid payment records should be back-dated only for the purposes of testing or if a data migration is being performed with migration_mode enabled.

string | null
enum

Optional designation for which balance bucket the payment should be allocated to.

PRINCIPAL_PREPAYMENT_INSTALLMENT_END_TO_START allocation type is used to signal intent, and is not a guarantee that the payment will pour directly into principal. The principal to be poured into is selected from the last cycle of the loan backward. If the payment cannot be allocated as specified will apply to the account following configured payment pouring ordering.

Allowed:
string

If included, this payment will attempt to pay down the referenced Line Item first, prior to any other balances on the account. Note: this payment will pay down all Line Items which have a root_id equal to this value, meaning e.g. installment interest and amortized fees related to a loan will be paid down by referencing the Loan's Line Item ID.

string
enum

Optional designation for the intended purpose of the payment. A designation of LOAN_PAYOFF will trigger an early interest accrual of the corresponding loan allocation. When specified, allocation_line_item_id must also be provided.

Allowed:
array,null | object,null
Headers
boolean

Flag to decide if this is a preview

Responses

401

Unauthorized.

403

Forbidden.

422

Invalid input

429

Too many requests.

default

Unexpected Error.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json